Subject: Re: sys_errlist
From: Chris Faylor <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: John Fralinger <[email-masked]>, [email-masked]
Date: Wed, 3 Nov 1999 14:26:45 -0500

I believe that this is one of a few data elements which was
moved into the DLL after B20.1.

So, you do have to use the definition in errno.h and (obviously?)
recompile the code in question.

cgf

On Wed, Nov 03, 1999 at 12:52:11PM -0600, Mumit Khan wrote:
>John Fralinger <[email-masked]> writes:
>>I get undefined reference to `sys_errlist` when compiling and linking with
>>Cygwin 1.0 CD.  Same source and Makfiles have no problem on B20.1.
>>
>>What am I doing wrong?
>
>Make sure you don't declare sys_errlist in your code, and instead include
><errno.h> to get the extern declaration. This is a change since b20.1,
>which used a static version of sys_errlist, and in CD 1.0/dev snapshots,
>it's imported from the DLL.
>
>Try the following *untested* (I don't have 1.0 CD nor dev snapshots
>installed to test), and see if this works:
>
>  #include <errno.h>
>  #include <stdio.h>
>
>  int
>  main ()
>  {
>    int i;
>    for (i = 0; i < _sys_nerr; i++)
>      {
>	printf ("%-3d: %s\n", i, _sys_errlist[i]);
>      }
>    return 0;
>  }
>
>Regards,
>Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]